"""
/***************************************************************************
CARICA CXF 
                                 A QGIS plugin

                             -------------------
        begin                : 2012-09-13
        copyright            : (C) 2012 by Arch. Fabio SAccon
        email                : saccon@gisplan.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""


from qgis.core import *
from qgis.utils import iface
from qgis.gui import *
from pyspatialite import dbapi2 as sqlite3

import globals
def db_create():
          ocon = sqlite3.connect(globals.dbName)
          ocur = ocon.cursor() 
          CRS=""
          ocur.execute("SELECT distinct(auth_srid) FROM 'geom_cols_ref_sys'")
          for d in ocur:
           CRS=str(d[0])  
          if CRS=="":
            selcrs=QgsGenericProjectionSelector()
            result=selcrs.exec_()     
            if  result==1 :     
                CRS=selcrs.selectedAuthId ().split(':',1)[1]                  
            else:
                QMessageBox.information(None, "Errore :","Selezione un CRS") 
                return        

          sql = 'Id INTEGER NOT NULL PRIMARY KEY,'
          sql += 'Codice_comune varchar(50),'        
          sql += 'Fg varchar(5),'  
          sql += 'Mappale varchar(5),'  
          sql += 'Allegato varchar(5),' 
          sql += 'Sez varchar(5),' 
          sql += 'Nomefile varchar(11),' 
          sql += 'Ext varchar(1),'  
          ocur.execute('CREATE TABLE if not exists Particelle ('+sql+'Htxt real,Rtxt real,Xtxt real,Ytxt real)')    
          ocur.execute("SELECT AddGeometryColumn('Particelle','geom',"+ CRS +", 'POLYGON', 'XY')")
          #ocur.execute("select createspatialindex ('Particelle','geom')")         
          ocur.execute('CREATE TABLE if not exists Confine ('+sql+'Htxt real,Rtxt real,Xtxt real,Ytxt real)')   
          ocur.execute("SELECT AddGeometryColumn('Confine','geom',"+ CRS +", 'POLYGON', 'XY')") 
          #ocur.execute("select createspatialindex ('Confine','geom')")
          ocur.execute('CREATE TABLE if not exists Fabbricati ('+sql+'Htxt real,Rtxt real,Xtxt real,Ytxt real)')   
          ocur.execute("SELECT AddGeometryColumn('Fabbricati','geom',"+ CRS +", 'POLYGON', 'XY')")
          #ocur.execute("select createspatialindex ('Fabbricati','geom')")           
          ocur.execute('CREATE TABLE if not exists Strade ('+sql+'Htxt real,Rtxt real,Xtxt real,Ytxt real)')   
          ocur.execute("SELECT AddGeometryColumn('Strade','geom',"+ CRS +", 'POLYGON', 'XY')") 
          #ocur.execute("select createspatialindex ('Strade','geom')")          
          ocur.execute('CREATE TABLE if not exists Acque ('+sql+'Htxt real,Rtxt real,Xtxt real,Ytxt real)')   
          ocur.execute("SELECT AddGeometryColumn('Acque','geom',"+ CRS +", 'POLYGON', 'XY')")
          #ocur.execute("select createspatialindex ('Acque','geom')")
          ocur.execute('CREATE TABLE if not exists Linee ('+sql+'Cod_linea varchar(5))')   
          ocur.execute("SELECT AddGeometryColumn('Linee','geom',"+ CRS +", 'LINESTRING', 'XY')")
          #ocur.execute("select createspatialindex ('Linee','geom')")
          ocur.execute('CREATE TABLE if not exists Simboli ('+sql+'Simbolo varchar(5),Rot real)')   
          ocur.execute("SELECT AddGeometryColumn('Simboli','geom',"+ CRS +", 'POINT', 'XY')")
          #ocur.execute("select createspatialindex ('Simboli','geom')")
          ocur.execute('CREATE TABLE if not exists Testi ('+sql+'Testo varchar(50),Dim real,Rot real)')  
          ocur.execute("SELECT AddGeometryColumn('Testi','geom',"+ CRS +", 'POINT', 'XY')")
          #ocur.execute("select createspatialindex ('Testi','geom')")
          ocur.execute('CREATE TABLE if not exists Fiduciali ('+sql+'Codice varchar(50),Simbolo varchar(5),PosX real,PosY real, RelPosX real,RelPosY real)')   
          ocur.execute("SELECT AddGeometryColumn('Fiduciali','geom',"+ CRS +", 'POINT', 'XY')")
          #ocur.execute("select createspatialindex ('Fiduciali','geom')")
          ocur.execute('CREATE TABLE if not exists Selezione (Id INTEGER NOT NULL PRIMARY KEY,Codice_comune varchar(5),Comune varchar(50),Fg varchar(5),Nomefile varchar(10),Sel varchar(1))')